package com.palmnest.application.core.util;

import java.io.Serializable;
import java.util.List;

import com.palmnest.model.dinner.Meal;

public class WeekDate implements Serializable {
	/**
	 *
	 */
	private static final long serialVersionUID = 7439915060043342119L;

	private int        weekNo;//星期几
	private String     weekName;//星期几
	private String     dateTime;//日期
	private int        isWorking;//是否工作日
	private int        isToday;//是否当天
	private Integer    sumCount;//总份数
	private int        isShow;//是否展示
	private int        isBule;//是否有有效订单1有数据，2没数据
	private List<Meal> mealList;

	public WeekDate() {

	}


	public WeekDate(int weekNo, String weekName, String dateTime, int isWorking,
					int isToday) {
		super();
		this.weekNo = weekNo;
		this.weekName = weekName;
		this.dateTime = dateTime;
		this.isWorking = isWorking;
		this.isToday = isToday;
	}


	public int getWeekNo() {
		return weekNo;
	}

	public void setWeekNo(int weekNo) {
		this.weekNo = weekNo;
	}


	public String getWeekName() {
		return weekName;
	}

	public void setWeekName(String weekName) {
		this.weekName = weekName;
	}

	public String getDateTime() {
		return dateTime;
	}

	public void setDateTime(String dateTime) {
		this.dateTime = dateTime;
	}

	public int getIsWorking() {
		return isWorking;
	}

	public void setIsWorking(int isWorking) {
		this.isWorking = isWorking;
	}

	public int getIsToday() {
		return isToday;
	}

	public void setIsToday(int isToday) {
		this.isToday = isToday;
	}


	public Integer getSumCount() {
		return sumCount;
	}


	public void setSumCount(Integer sumCount) {
		this.sumCount = sumCount;
	}


	public int getIsShow() {
		return isShow;
	}


	public void setIsShow(int isShow) {
		this.isShow = isShow;
	}


	public int getIsBule() {
		return isBule;
	}


	public void setIsBule(int isBule) {
		this.isBule = isBule;
	}


	public List<Meal> getMealList() {
		return mealList;
	}


	public void setMealList(List<Meal> mealList) {
		this.mealList = mealList;
	}

}
